﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGCheckEditorRetemplateDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<25; i++)
            {
                Data.Add(new SampleData() { ID = i, IsChecked = (i % 2 == 0), Number = r.Next(1000) });
            }
        }
    }

    public class SampleData
    {
        public bool IsChecked { get; set; }
        public int ID { get; set; }
        public int Number { get; set; }
    }
}
